# Interface DbMarker<Q extends org.snpeff.interval.Marker, R extends org.snpeff.interval.Marker>

All Known Implementing Classes:
  `DbNsfp, DbVcf, DbVcfMem, DbVcfSorted, DbVcfTabix`

public interface DbMarker<Q extends org.snpeff.interval.Marker, R extends org.snpeff.interval.Marker>
Use a file as a 'marker' database. E.g. A VCF file, dbNSFP file/s, GTF, etc. Basically any genomic data file format that could be queried by genomic interval (e.g. by using Tabix, CSI or some other index).

Author:
  pcingola

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Close database, free resources
`void`
`open()`
Open database (load index in memory if required)
`Collection<R>`
`query(Q queryMarker)`
Find matching entries in the database
`void`
`setDebug(boolean debug)`
`void`
`setVerbose(boolean verbose)`

## Method Details

### close

void close()
Close database, free resources

### open

void open()
Open database (load index in memory if required)

### query

Collection<R> query(Q queryMarker)
Find matching entries in the database

### setDebug

void setDebug(boolean debug)

### setVerbose

void setVerbose(boolean verbose)